.service-card {
      border: 2px solid #eee;
      border-radius: 12px;
      padding: 8px 5px;
      text-align: center;
      cursor: pointer;
      background: #fff;
      transition: 0.3s;
      position: relative;
      width: 100%;
      margin-bottom: 0px;
    }

    .service-card i {
    font-size: 32px;
    margin-bottom: 5px;
    color: #77428c;
    transition: 0.3s;
    }

    .service-card span {
      display: block;
      font-size: 14px;
       color: #77428c;
       font-weight: 700;
        transition: 0.3s;
        line-height: 18px;
    }

    .service-card input {
      display: none;
    }

    /* Hover */
    .service-card:hover {
      transform: translateY(-5px);
    }

    /* Selected state */
    .service-card:has(input:checked) {
         border-color: #84489d;
    background: #f9eaff;
    }

    .service-card:has(input:checked) i {
      color: #84489d;
    }

    .service-card:has(input:checked) span {
      font-weight: 600;
      color: #84489d;
    }

    /* Tick icon */
    .service-card::after {
      content: "\f00c";
      font-family: "Font Awesome 6 Free";
      font-weight: 900;
      position: absolute;
      top: 8px;
      right: 10px;
      background: #84489d;
      color: #fff;
      font-size: 10px;
      padding: 2px;
      border-radius: 50%;
      opacity: 0;
      transition: 0.3s;
      width: 30px;
      height: 30px;
    }

    .service-card:has(input:checked)::after {
      opacity: 1;
    }